Read export config
curl --request GET \
--url https://apiweb.mile.app/api/v3/export-configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/export-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/export-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"code": 200,
"message": "Success.",
"data": {
"current_page": 1,
"data": [
{
"_id": "67459c0b9778e36baa076802",
"name": "Report Daily",
"description": "Template for daily report with bill item detail",
"collection": "task",
"fields": [
{
"component": "input",
"id": "_id",
"inputType": "string",
"source": "reservedKey",
"title": "Id",
"uniqueTitle": "Id"
},
{
"component": "input",
"id": "flow",
"inputType": "string",
"source": "reservedKey",
"title": "Flow",
"uniqueTitle": "Flow"
},
{
"component": "input",
"id": "hub",
"inputType": "string",
"source": "reservedKey",
"title": "Hub",
"uniqueTitle": "Hub"
},
{
"component": "input",
"id": "title",
"inputType": "string",
"source": "reservedKey",
"title": "Title",
"uniqueTitle": "Title"
},
{
"component": "input",
"id": "status",
"inputType": "string",
"source": "reservedKey",
"title": "Status",
"uniqueTitle": "Status"
},
{
"component": "input",
"id": "orderNumber",
"title": "Order Number",
"inputType": "string",
"default": null,
"routeAs": null,
"showAs": "title",
"required": false,
"visible": true,
"page": "page0",
"flowId": [
"66a988d53ae08a7ab52867c2",
"66c6a05440d39b2616275622",
"66c6a05c40d39b2616275624",
"66c6a06412d3f54e2f425e22"
],
"flowName": [
"Export Bill",
"Flow A",
"Flow B",
"Flow C"
],
"uniqueTitle": "Order Number"
},
{
"component": "bill",
"id": "billItem",
"title": "Bill Item",
"addNew": true,
"required": false,
"value": null,
"editable": [],
"costs": [
"Discount",
"Shipping Cost"
],
"visible": true,
"masterItems": [
{
"name": "Snack",
"unit_price": 10000
},
{
"name": "Cold Drink",
"unit_price": 5000
},
{
"name": "Bread",
"unit_price": 7000
},
{
"name": "Egg",
"unit_price": 2500
}
],
"masterCosts": [
{
"type": "number",
"name": "Discount",
"amount": 10000
},
{
"type": "number",
"name": "Shipping Cost",
"amount": 7000
}
],
"qtyRule": null,
"page": "page1",
"flowId": [
"66a988d53ae08a7ab52867c2"
],
"flowName": [
"Export Bill"
],
"additionalField": [
"billItem.Discount",
"billItem.Shipping Cost",
"billItem.totalCost"
],
"uniqueTitle": "Bill Item"
}
],
"flowIds": [
"66a988d53ae08a7ab52867c2",
"66c6a05440d39b2616275622",
"66c6a05c40d39b2616275624",
"66c6a06412d3f54e2f425e22"
],
"organizationId": "66791b2bf001a712b77b3622",
"updatedTime": "2024-11-26T09:59:39.860000Z",
"createdTime": "2024-11-26T09:59:39.860000Z"
}
],
"first_page_url": "https://apiwebdev.mile.app/api/v3/export-configs?limit=1&page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://apiwebdev.mile.app/api/v3/export-configs?limit=1&page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://apiwebdev.mile.app/api/v3/export-configs?limit=1&page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://apiwebdev.mile.app/api/v3/export-configs",
"per_page": 1,
"prev_page_url": null,
"to": 1,
"total": 1
}
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Export Config
Read export config
GET
/
export-configs
Read export config
Authorizations
Use a valid Bearer token to authenticate.
Query Parameters
finding data by collection.
Example: task
finding data by export config name.
Example: Report Daily Sales
sortOrder is to decide ascending or descending order
Example: asc or desc.
Default: desc
Limit of export config list. Example: 1. Default: 20
⌘I